Generate image
curl --request POST \
--url https://api.siray.ai/v1/images/generations/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "tencent/hunyuan-image-3-instruct-t2i",
"prompt": "example_value",
"seed": -1,
"size": "1024x1024"
}
'import requests
url = "https://api.siray.ai/v1/images/generations/async"
payload = {
"model": "tencent/hunyuan-image-3-instruct-t2i",
"prompt": "example_value",
"seed": -1,
"size": "1024x1024"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'tencent/hunyuan-image-3-instruct-t2i',
prompt: 'example_value',
seed: -1,
size: '1024x1024'
})
};
fetch('https://api.siray.ai/v1/images/generations/async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "success",
"data": {
"task_id": "<string>"
},
"message": "<string>"
}Tencent
Hunyuan Image 3 Instruct t2i
POST
/
v1
/
images
/
generations
/
async
Generate image
Authorizations
Bearer authentication using API key
Body
application/json
Request payload
Request format for image generation models
Model name to use for the request
Available options:
tencent/hunyuan-image-3-instruct-t2i Text prompt for generation
Fixed size
Available options:
1024x1024, 512x512, 1024x768, 768x1024, 1024x576, 576x1024 Random seed for generation
Required range:
-1 <= x <= 9999999999Response
200 - application/json
Successful response
⌘I
